subroutine test_coherence_OA_OL
Use lewis_module
integer cherche_at0
allocatable nb_OAval_par_atome(:)
nboa_vues=count(.not.diff)
if(iorb/=nboa_vues) then
   print*,' '
   print*,'Probleme : '
   print*,'le nombre d''OA entrant dans les OL n''est '// &
   'pas egal au nb d''OL generees'
   print'(a40,i4)','nombre d''OA entrant dans les OL',nboa_vues
   print'(a40,i4)','nombre d''OL generees',iorb
   print*,' '
   print*,'OA entrant dans les OL'
   i=0
   allocate(nb_OAval_par_atome(natom0))
   nb_OAval_par_atome=0
   do k=1,norb
      if(.not.diff(k)) then
         i=i+1
         print'(a6,a,a4,2i5,a)',label(k)(1:6),'/', &
         label(k)(7:10),k,i,'  Presente'
         ii=cherche_at0(label(k)(1:4))
         nb_OAval_par_atome(ii)=nb_OAval_par_atome(ii)+1
      else
         print'(a6,a,a4,i5,a)',label(k)(1:6),'/', &
         label(k)(7:10),k,'       Non'
      endif
   enddo
   print*,' '
   print*,'nombre d''OA presentes par atome dans les OL'// &
   ', multiplicite, total,  total/multiplicite'
   do k=1,natom0
      print*,atom0(k)(1:4),nb_OAval_par_atome(k)/liste_multat2(k) &
      ,liste_multat2(k),nb_OAval_par_atome(k) &
      ,nb_OAval_par_atome(k)/liste_multat2(k)
   enddo
   print*,'TOTAL',sum(nb_OAval_par_atome(1:natom0)),' OA'
   !stop
endif
end
